import os
from setuptools import setup

with open('requirements.txt') as f:
    required = f.read().splitlines()

with open(os.path.join(os.path.dirname(__file__), 'README.rst')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))


setup(
    name='django-happystamp',
    version='0.3',
    packages=['happystamp'],
    include_package_data=True,
    license='BSD License',
    description='Happystamp is a Mezzanine plugin for building loyalty card systems',
    long_description=README,
    url='https://www.happystamp.fr',
    author='Hicham El Mansouri',
    author_email='admin@happystamp.fr',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',        
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
        'Topic :: Software Development :: Libraries :: Application Frameworks',
        'Topic :: Software Development :: Libraries :: Python Modules',

    ],
    install_requires=required,
)
